Orxonox: orxonox::LightningGunProjectile Class Reference

# orxonox::LightningGunProjectile Class Reference

`#include <src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h>`

Inheritance diagram for orxonox::LightningGunProjectile:

List of all members.

## Public Member Functions

| LightningGunProjectile (BaseObject *creator)
virtual void | setMaterial (const std::string &material)
virtual | ~LightningGunProjectile ()

## Protected Member Functions

void | changeTexture ()

## Protected Attributes

std::string | materialBase_
unsigned int | maxTextureIndex_
unsigned int | textureIndex_
Timer< LightningGunProjectile > | textureTimer_

## Private Member Functions

void | registerVariables ()

## Constructor & Destructor Documentation

orxonox::LightningGunProjectile::LightningGunProjectile | ( | BaseObject * | creator | ) |

References changeTexture(), orxonox::createExecutor(), maxTextureIndex_, RegisterObject, registerVariables(), textureIndex_, and textureTimer_.

virtual orxonox::LightningGunProjectile::~LightningGunProjectile | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::LightningGunProjectile::changeTexture | ( |  | ) | `[protected]`

References materialBase_, maxTextureIndex_, setMaterial(), and textureIndex_.

Referenced by LightningGunProjectile().

void orxonox::LightningGunProjectile::registerVariables | ( |  | ) | `[private]`

Reimplemented from orxonox::MovableEntity.

References materialBase_, and orxonox::Synchronisable::registerVariable().

Referenced by LightningGunProjectile().

void orxonox::LightningGunProjectile::setMaterial | ( | const std::string & | material | ) | `[virtual]`

Reimplemented from orxonox::BillboardProjectile.

References materialBase_, orxonox::BillboardProjectile::setMaterial(), and textureIndex_.

Referenced by changeTexture(), and orxonox::LightningGun::fire().

## Member Data Documentation

std::string orxonox::LightningGunProjectile::materialBase_`[protected]`

Referenced by changeTexture(), registerVariables(), and setMaterial().

unsigned int orxonox::LightningGunProjectile::maxTextureIndex_`[protected]`

Referenced by changeTexture(), and LightningGunProjectile().

unsigned int orxonox::LightningGunProjectile::textureIndex_`[protected]`

Referenced by changeTexture(), LightningGunProjectile(), and setMaterial().

Timer<LightningGunProjectile> orxonox::LightningGunProjectile::textureTimer_`[protected]`

Referenced by LightningGunProjectile().

The documentation for this class was generated from the following files:

- src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h
- src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.cc